# Module `documentation_test.submod2.submod2`

Expand source code

    print('imported submod2')

    def submod2(someString: str = 'submod2 string') -> None:
        """submod2 test function

        Parameters
        ----------
        someString : str, optional
            a random string to show it's working

        Returns
        -------
        None
        """

        print(someString)

## Functions

`def submod2(someString: str = 'submod2() string') -> NoneType`

  submod2 test function

  ## Parameters

  `someString` :`str`, optional
    a random string to show it's working

  ## Returns

  `None`
  Expand source code

      def submod2(someString: str = 'submod2 string') -> None:
          """submod2 test function

          Parameters
          ----------
          someString : str, optional
              a random string to show it's working

          Returns
          -------
          None
          """

          print(someString)